This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

IE7 Compatibility


Internet Explorer 8 (IE8) is coming up, is your site ready? IE7 compatibility can help if your site needs some fixes done to be ready. When activated, your site will look normal to all visitors. Once you have fixed the problems, just deactivate or delete the plugin.



  • Initial


This section describes how to install the plugin and get it working.


  1. Upload the full directory into your /wp-content/plugins/ directory, or install it thought the admin interface.
  2. Activate the plugin through the ‘Plugins’ menu in WordPress.


Do I need this?

View your website in IE8; if it looks good you don’t need this, otherwise it is highly recommended that you activate this plugin and proceed to fix your website.

Contributors & Developers

“IE7 Compatibility” is open source software. The following people have contributed to this plugin.


Translate “IE7 Compatibility” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.